HttpsMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.HttpsMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver
                  org.mule.transport.http.HttpMessageReceiver
                      org.mule.transport.http.HttpsMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class HttpsMessageReceiver

extends HttpMessageReceiver

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.transport.http.HttpMessageReceiver
`HttpMessageReceiver.HttpWorker`

Nested classes/interfaces inherited from class org.mule.transport.tcp.TcpMessageReceiver
`TcpMessageReceiver.TcpWorker`

Field Summary

Fields inherited from class org.mule.transport.http.HttpMessageReceiver
`logger`

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver
`disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`HttpsMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`

Methods inherited from class org.mule.transport.http.HttpMessageReceiver
`doConnect, findReceiverByStem, getTargetReceiver, handleUnacceptedFilter, shouldConnect, transformResponse`

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver
`doDisconnect, doDispose, doStart, doStop, getServerSocket, release, run`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### HttpsMessageReceiver

    public HttpsMessageReceiver(Connector connector,
                                Service service,
                                InboundEndpoint endpoint)
                         throws CreateException

Throws:
  `CreateException`

Method Detail

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Overrides:
    `createWork` in class `HttpMessageReceiver`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.